<?php

namespace App\Domains\FiestaFutbolInfantil\Enums;

enum FiestaCategory: string
{
    case Entries = 'entries';
    case Foods = 'foods';
    case Accommodations = 'accommodations';
    case Merchandise = 'merchandise';

    public function categoryName(): string
    {
        return match ($this) {
            self::Entries => 'Entradas',
            self::Foods => 'Comidas',
            self::Accommodations => 'Alojamientos',
            self::Merchandise => 'Merchandising',
        };
    }
}
